package info.robit.dkpfetch;

import java.util.Properties;
import java.io.*;

/**
 * Created by IntelliJ IDEA.
 * User: neotron
 * Date: Mar 30, 2009
 * Time: 11:51:09 PM
 * To change this template use File | Settings | File Templates.
 */
public class Configuration {
    private Properties properties;
    private File propFile;
    public final static String URL = "url";
    public final static String DIR = "savedirectory";
    public static final String AUTOSTART = "autostart";
    public static final String WOWBIN = "wowbinary";

    public Configuration() {
        properties = new Properties();
        propFile = new File(System.getProperty("user.home"), ".magicdownloader.xml");
        if(propFile.exists()) {
            try {
                properties.loadFromXML(new FileInputStream(propFile));
            } catch (IOException e) {
                // ignores
            }
        }
        String wowDir = WindowsPrefs.getWowDirectory();
        if(properties.getProperty(DIR) == null) {
            if(wowDir != null) {
                properties.setProperty(DIR, wowDir+"Interface\\Addons\\MagicDKP_Database\\");
            } else {
                properties.setProperty(DIR, System.getProperty("user.dir"));
            }
        }
        if(properties.getProperty(WOWBIN) == null) {
            if(wowDir != null) {
                properties.setProperty(WOWBIN, wowDir+"Launcher.exe");
            } else {
                properties.setProperty(WOWBIN, "<select path to WoW binary>");
            }
        }
        if(properties.getProperty(URL) == null) {
            properties.setProperty(URL, "http://<enter url here>/getdkp.php");
        }        
    }
    public String getProperty(String prop) {
        return properties.getProperty(prop);
    }
    public void setProperty(String prop, String val) {
        properties.setProperty(prop, val);
    }
    public void unsetProperty(String prop) {
        properties.remove(prop);
    }    
    public void save() throws IOException {
        properties.storeToXML(new FileOutputStream(propFile), "MagicDKP Downloader Options");
    }
}
