package info.robit.dkpfetch;

import java.io.InputStreamReader;
import java.io.StringReader;
import java.io.StringWriter;
import java.io.BufferedReader;

/**
 * Created by IntelliJ IDEA.
 * User: neotron
 * Date: Mar 31, 2009
 * Time: 12:28:32 AM
 * Attempt to get the install directory of WoW under windows.
 */
public class WindowsPrefs {
    private static final String REGQUERY = "reg query \"HKLM\\SOFTWARE\\Blizzard Entertainment\\World of Warcraft\" /v InstallPath";
    private static final String REGSTR_TOKEN = "REG_SZ";
    public static String getWowDirectory() {
        try {
            Process process = Runtime.getRuntime().exec(REGQUERY);
            process.waitFor();
            BufferedReader reader = new BufferedReader(new InputStreamReader(process.getInputStream()));
            String line;
            while((line = reader.readLine()) != null) {
                int p = line.indexOf(REGSTR_TOKEN);
                if (p != -1) {
                    return line.substring(p + REGSTR_TOKEN.length()).trim();
                }
            }
            return null;
        } catch(Exception e) {
            return null;
        }
    }
}
